Package org.globus.io.urlcopy

# Class UrlCopyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.globus.common.ChainedException
org.globus.io.urlcopy.UrlCopyException

All Implemented Interfaces:
  `Serializable`

public class UrlCopyException extends ChainedException
Encapsulates the exceptions caused by various errors in the url-copy library.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UrlCopyException(String msg)`
`UrlCopyException(String msg, Throwable ex)`

## Method Summary

### Methods inherited from class org.globus.common.ChainedException

`getException, getMessage, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UrlCopyException

public UrlCopyException(String msg)

### UrlCopyException

public UrlCopyException(String msg, Throwable ex)